//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
datablock TSShapeConstructor(RobbieDts)
{
	baseShape  = "./Robbie.dts";
	sequence0  = "./robb_root.dsq root";

	sequence1  = "./robb_walk.dsq run";
	sequence2  = "./robb_walk.dsq walk";
	sequence3  = "./robb_back.dsq back";
	sequence4  = "./robb_back.dsq side";

	sequence5  = "./robb_crouch.dsq crouch";
	sequence6  = "./robb_crouchrun.dsq crouchRun";
	sequence7  = "./robb_crouchrun.dsq crouchBack";
	sequence8  = "./robb_crouchrun.dsq crouchSide";

	sequence9  = "./robb_look.dsq look";
	sequence10 = "./robb_headside.dsq headside";
	sequence11 = "./robb_root.dsq headUp";

	sequence12 = "./robb_jump.dsq jump";
	sequence13 = "./robb_jump.dsq standjump";
	sequence14 = "./robb_root.dsq fall";
	sequence15 = "./robb_root.dsq land";

	sequence16 = "./robb_armAttack.dsq armAttack";
	sequence17 = "./robb_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./robb_armReadyRight.dsq armReadyRight";
	sequence19 = "./robb_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./robb_spearready.dsq spearready";  
	sequence21 = "./robb_spearThrow.dsq spearThrow";

	sequence22 = "./robb_talk.dsq talk";  

	sequence23 = "./robb_death1.dsq death1"; 
	
	sequence24 = "./robb_root.dsq shiftUp";
	sequence25 = "./robb_root.dsq shiftDown";
	sequence26 = "./robb_shiftAway.dsq shiftAway";
	sequence27 = "./robb_root.dsq shiftTo";
	sequence28 = "./robb_root.dsq shiftLeft";
	sequence29 = "./robb_root.dsq shiftRight";
	sequence30 = "./robb_rotCW.dsq rotCW";
	sequence31 = "./robb_rotCCW.dsq rotCCW";

	sequence32 = "./robb_root.dsq undo";
	sequence33 = "./robb_plant.dsq plant";

	sequence34 = "./robb_sit.dsq sit";

	sequence35 = "./robb_root.dsq wrench";

   sequence36 = "./robb_activate.dsq activate";
   sequence37 = "./robb_activate2.dsq activate2";

   sequence38 = "./robb_leftrecoil.dsq leftrecoil";
};    

datablock PlayerData(RobbieRottenArmor : PlayerStandardArmor)
{
   shapeFile = "./Robbie.dts";
	uiName = "Robbie Rotten";
	canJet = 0;
	maxDamage = "100";
   runForce = "5430";
   maxForwardSpeed = "7";
   maxBackwardSpeed = "6";
   maxSideSpeed = "5";
   jumpForce = "1000";
   airControl = "0.7";
};

datablock PlayerData(RobbieRottenBossArmor : RobbieRottenArmor)
{
	uiName = "Robbie Rotten Boss";
	maxDamage = "200";
   maxForwardSpeed = "11";
   maxBackwardSpeed = "8";
   maxSideSpeed = "10";
   jumpForce = "2200";
   airControl = "4";
};